Description

As both a Java developer and Ruby on Rails developer it would be really nice to have a way to integrate Redmine with Eclipse's 

Mylyn plugin.  That way I can integrate Redmine just like Trac or Jira.  The best would be to simply use the same API.  Trac uses

xmlRPC to perform the integration, and I'm sure Jira has something similar.  Since RadRails is based on Eclipse, it would also be a

perfect companion for that.

History

#1 - 2008-09-25 22:42 - Thomas Lecavelier

koff! koff!... http://www.redmine.org/wiki/redmine/HowTo_Mylyn

#2 - 2008-10-10 01:40 - tolan blundell

The web based integration described there is very limited compared to an issue tracker with a mylyn connector.

With a web connector you can't properly:

Attach contexts

edit bugs offline

automatically close bugs with a commit message ("this fixes bug 12345")

integrate the time tracking and scheduling system in mylyn with the issue tracker (this is a big one for me personally)

There's more, can't think of it right now. A proper mylyn connector would make a huge difference for those of us using mylyn.

#3 - 2008-10-13 10:29 - Anonymous

+1

#4 - 2008-11-10 11:12 - tolan blundell

The sourceforge mylyn / redmine project has released a beta:

http://sourceforge.net/projects/redmin-mylyncon/

#5 - 2009-06-07 08:42 - steeven lee

+1

#6 - 2009-06-08 14:06 - tolan blundell

I guess this ticket should be closed now seeing as there's a fully functional mylyn bridge for redmine now?

#7 - 2009-06-08 21:27 - Jens Goldhammer

Maybe we can ask the developers of redmine-mylyncon to contribute their redmine code here and to take part here...

#8 - 2010-08-05 22:31 - Felix Schäfer

- Status changed from New to Closed

I think this kind of connectors should stay in a plugin, or even better connectors for software should use the (admittedly only nascent) REST API.
